> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/benchmarking/revenue

> Returns top level revenue benchmarking data



## OpenAPI

````yaml /openapi.json get /v1/report/insight/benchmarking/revenue
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/insight/benchmarking/revenue:
    get:
      tags:
        - Reporting/Insights Hub/Benchmarking
        - public
      summary: /report/insight/benchmarking/revenue
      description: Returns top level revenue benchmarking data
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: true
          schema:
            deprecated: false
            type: integer
        - name: range
          in: query
          description: Date range. All ranges exclude today and run up to yesterday
          required: false
          schema:
            type: string
            enum:
              - custom
              - all_time
              - seven_days
              - fourteen_days
              - thirty_days
              - three_months
              - six_months
              - week_to_date
              - month_to_date
              - quarter_to_date
              - year_to_date
              - last_week
              - last_month
              - last_quarter
              - last_year
              - month_on_month
              - quarter_on_quarter
              - yesterday
        - name: start
          in: query
          description: Start date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: End date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: environment
          in: query
          description: Environment or platform to report from
          required: false
          schema:
            type: string
            enum:
              - all
              - app
              - web
            default: all
        - name: exclude_pubs
          in: query
          description: >-
            Excludes publisher data from the Network and Cohort for users
            organisation
          required: false
          schema:
            type: string
            enum:
              - 'yes'
              - 'no'
            default: 'yes'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      currency:
                        type: string
                      data:
                        type: object
                        properties:
                          gross_revenue:
                            type: object
                            properties:
                              publisher:
                                type: number
                              cohort:
                                type: number
                              network:
                                type: number
                            required:
                              - publisher
                              - cohort
                              - network
                          pap_gross_revenue:
                            type: object
                            properties:
                              publisher:
                                type: number
                              cohort:
                                type: number
                              network:
                                type: number
                            required:
                              - publisher
                              - cohort
                              - network
                          saas_gross_revenue:
                            type: object
                            properties:
                              publisher:
                                type: number
                              cohort:
                                type: integer
                              network:
                                type: number
                            required:
                              - publisher
                              - cohort
                              - network
                          net_revenue:
                            type: object
                            properties:
                              publisher:
                                type: number
                              cohort:
                                type: number
                              network:
                                type: number
                            required:
                              - publisher
                              - cohort
                              - network
                          pap_net_revenue:
                            type: object
                            properties:
                              publisher:
                                type: number
                              cohort:
                                type: number
                              network:
                                type: number
                            required:
                              - publisher
                              - cohort
                              - network
                          saas_net_revenue:
                            type: object
                            properties:
                              publisher:
                                type: number
                              cohort:
                                type: integer
                              network:
                                type: number
                            required:
                              - publisher
                              - cohort
                              - network
                          impressions:
                            type: object
                            properties:
                              publisher:
                                type: integer
                              cohort:
                                type: number
                              network:
                                type: number
                            required:
                              - publisher
                              - cohort
                              - network
                          pap_impressions:
                            type: object
                            properties:
                              publisher:
                                type: integer
                              cohort:
                                type: number
                              network:
                                type: number
                            required:
                              - publisher
                              - cohort
                              - network
                          saas_impressions:
                            type: object
                            properties:
                              publisher:
                                type: integer
                              cohort:
                                type: integer
                              network:
                                type: number
                            required:
                              - publisher
                              - cohort
                              - network
                        required:
                          - gross_revenue
                          - pap_gross_revenue
                          - saas_gross_revenue
                          - net_revenue
                          - pap_net_revenue
                          - saas_net_revenue
                          - impressions
                          - pap_impressions
                          - saas_impressions
                    required:
                      - currency
                      - data
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  currency: GBP
                  data:
                    gross_revenue:
                      publisher: 713.695881
                      cohort: 215.93339500000002
                      network: 130.45029643165458
                    pap_gross_revenue:
                      publisher: 709.52059
                      cohort: 215.93339500000002
                      network: 113.70656362589935
                    saas_gross_revenue:
                      publisher: 4.175291
                      cohort: 0
                      network: 16.743732805755396
                    net_revenue:
                      publisher: 605.65242025
                      cohort: 172.746716
                      network: 107.71543717122303
                    pap_net_revenue:
                      publisher: 601.69752925
                      cohort: 172.746716
                      network: 91.15291997697844
                    saas_net_revenue:
                      publisher: 3.9548909999999995
                      cohort: 0
                      network: 16.562517194244606
                    impressions:
                      publisher: 1074513
                      cohort: 429478.6666666667
                      network: 167006.46762589927
                    pap_impressions:
                      publisher: 1070105
                      cohort: 429478.6666666667
                      network: 146579.1798561151
                    saas_impressions:
                      publisher: 4408
                      cohort: 0
                      network: 20427.287769784172
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````